#!/usr/bin/env python

import libxml2dom
import libxml2
#doc = libxml2.parseFile("XMLTools2/examples/zoo/zoo_schema.xml")
doc = libxml2.parseDoc("""<?xml version="1.0" encoding="iso-8859-15"?>
<schema xmlns="http://www.boddie.org.uk/ns/xmltools/model"
    xmlns:database="http://www.boddie.org.uk/ns/xmltools/database">

    <def-element name="cage" database:table="CAGE"/>
</schema>
""")
d = libxml2dom.Node(doc)

# This works:
print d.childNodes[0].childNodes[1]._node.nsProp("table", 'http://www.boddie.org.uk/ns/xmltools/database')
print doc.children.children.next.nsProp("table", 'http://www.boddie.org.uk/ns/xmltools/database')
# This works only with an appropriate patch to libxml2 2.5.7:
print d.childNodes[0].childNodes[1].attributes[1]._node.ns()
# Equivalent to:
print d.childNodes[0].childNodes[1]._node.properties.next.ns()
print doc.children.children.next.properties.next.ns()
